# Method: inventory.partners.feeds.status.list

- [HTTP request](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.feeds.status/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.feeds.status/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.feeds.status/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.feeds.status/list#body.request_body)
- [Response body](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.feeds.status/list#body.response_body)
  - [JSON representation](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.feeds.status/list#body.ListStatusResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.feeds.status/list#body.aspect)

Retrieves the `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/FeedStatus` of multiple previously uploaded merchant, service, or availability feeds by the specified aggregator, and returns them.

### HTTP request

`GET https://mapsbooking.googleapis.com/v1alpha/inventory/{name=partners/*/feeds/*}/status`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The feed resource name, which has the format of - `partners/{partner_id}/feeds/merchants` - `partners/{partner_id}/feeds/services` - `partners/{partner_id}/feeds/availability` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of items to return. |
| `pageToken` | `string` The nextPageToken value returned from a previous List request, if any. |
| `stateRestrict` | ``enum (`https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/State`)`` Optional restrict to filter results by feed state. |
| `timeRangeRestrict` | ``object (`https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/TimeRange`)`` Optional restrict to filter results by upper and lower bound. If startTime is unset, it will default to beginning of unix time. If endTime is unset, it will default to now. |

### Request body

The request body must be empty.

### Response body

The request to retrieve the `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/FeedStatus` for multiple feeds uploaded by the aggregator's platform.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "status": [ { object (`https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/FeedStatus`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `status[]` | ``object (`https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/FeedStatus`)`` Reverse chronological list of statuses for uploaded feeds. The maximum number of items returned is based on the pageSize field in the request. |
| `nextPageToken` | `string` Token to retrieve the next page of results. There are no more results in the list if empty. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/mapsbooking`